---
apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: letsencrypt-staging
spec:
  acme:
    server: https://acme-staging-v02.api.letsencrypt.org/directory
    email: admin@unkin.net
    privateKeySecretRef:
      name: letsencrypt-staging-account-key
    solvers:
      - dns01:
          cnameStrategy: Follow
          rfc2136:
            nameserver: "198.18.199.53:53"
            tsigKeyName: certmanager
            tsigAlgorithm: HMACSHA256
            tsigSecretSecretRef:
              name: certmanager-tsig
              key: secret
